Bug 103620 - insmod ip_conntrack_ftp now order dependent
insmod ip_conntrack_ftp now order dependent
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-03 01:37 EDT by Richard Ames
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-11 09:22:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Ames 2003-09-03 01:37:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
existing iptables script had /sbin/insmod ip_conntrack_ftp at beginning of
script. service iptables stop, then running the script produced the following
error messages:

/lib/modules/2.4.20-20.8/kernel/net/ipv4/netfilter/ip_conntrack_ftp.o:
unresolved symbol ip_conntrack_helper_unregister_Reea5a3fd
/lib/modules/2.4.20-20.8/kernel/net/ipv4/netfilter/ip_conntrack_ftp.o:
unresolved symbol ip_conntrack_helper_register_Ra22d6eb5
/lib/modules/2.4.20-20.8/kernel/net/ipv4/netfilter/ip_conntrack_ftp.o:
unresolved symbol ip_conntrack_expect_related_Rfc718b15

and the ip_conntrack_ftp module was not loaded.

Changing script to load ip_conntrack_ftp module at the end results in no error
messages and ip_conntrack_ftp appearing in the lsmod list.


This may be a hint to cause of some of the other errors being reported.

Regards,

Richard.

Version-Release number of selected component (if applicable):
kernel-2.4.20-20.8 iptables-1.2.8-8.80.2

How reproducible:
Always

Steps to Reproduce:
1. As explained above
2.
3.
    

Actual Results:  See above

Additional info:
Comment 1 Thomas Woerner 2003-09-11 09:22:32 EDT
You have to use modprobe instead of insmod.

Note You need to log in before you can comment on or make changes to this bug.